us.zoom.sdk

## Class MeetingItem

- java.lang.Object
- - us.zoom.sdk.MeetingItem

- All Implemented Interfaces:
    java.io.Serializable

      public class MeetingItem
      extends java.lang.Object
      implements java.io.Serializable

  Meeting item class
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `MeetingItem.RepeatType` Meeting repeat type

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MeetingItem()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getCanJoinBeforeHost()`
    `int` | `getDurationInMinutes()`
    `java.lang.String` | `getInvitationEmailContentWithTime()`
    `java.lang.String` | `getMeetingId()`
    `long` | `getMeetingNo()`
    `java.lang.String` | `getMeetingTopic()`
    `long` | `getOriginalMeetingNo()`
    `java.lang.String` | `getPassword()`
    `long` | `getRepeatEndTime()`
    `int` | `getRepeatType()` Get meeting repeat type
    `long` | `getStartTime()`
    `java.lang.String` | `getTimeZoneId()`
    `boolean` | `isAttendeeVideoOff()`
    `boolean` | `isHostVideoOff()`
    `boolean` | `isPersonalMeeting()`
    `boolean` | `isRecurringMeeting()`
    `boolean` | `isTelephonyOff()`
    `boolean` | `isUsePmiAsMeetingID()`
    `boolean` | `isVoipOff()`
    `boolean` | `isWebinarMeeting()`
    `void` | `setAttendeeVideoOff(boolean attendeeVideoOff)`
    `void` | `setCanJoinBeforeHost(boolean canJoinBeforeHost)`
    `void` | `setDurationInMinutes(int duration)`
    `void` | `setHostVideoOff(boolean hostVideoOff)`
    `void` | `setMeetingTopic(java.lang.String topic)`
    `void` | `setPassword(java.lang.String password)`
    `void` | `setRepeatEndTime(long time)`
    `void` | `setRepeatType(int type)` Set meeting repeat type
    `void` | `setStartTime(long time)`
    `void` | `setTelephonyOff(boolean telephonyOff)`
    `void` | `setTimeZoneId(java.lang.String timeZoneId)`
    `void` | `setUsePmiAsMeetingID(boolean usePmiAsMeetingID)`
    `void` | `setVoipOff(boolean voipOff)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MeetingItem

          public MeetingItem()

  - ### Method Detail

    - #### getMeetingTopic

          public java.lang.String getMeetingTopic()

    - #### setMeetingTopic

          public void setMeetingTopic(java.lang.String topic)

    - #### getStartTime

          public long getStartTime()

    - #### setStartTime

          public void setStartTime(long time)

    - #### getDurationInMinutes

          public int getDurationInMinutes()

    - #### setDurationInMinutes

          public void setDurationInMinutes(int duration)

    - #### getPassword

          public java.lang.String getPassword()

    - #### setPassword

          public void setPassword(java.lang.String password)

    - #### getCanJoinBeforeHost

          public boolean getCanJoinBeforeHost()

    - #### setCanJoinBeforeHost

          public void setCanJoinBeforeHost(boolean canJoinBeforeHost)

    - #### isUsePmiAsMeetingID

          public boolean isUsePmiAsMeetingID()

    - #### setUsePmiAsMeetingID

          public void setUsePmiAsMeetingID(boolean usePmiAsMeetingID)

    - #### getTimeZoneId

          public java.lang.String getTimeZoneId()

    - #### setTimeZoneId

          public void setTimeZoneId(java.lang.String timeZoneId)

    - #### isHostVideoOff

          public boolean isHostVideoOff()

    - #### setHostVideoOff

          public void setHostVideoOff(boolean hostVideoOff)

    - #### isAttendeeVideoOff

          public boolean isAttendeeVideoOff()

    - #### setAttendeeVideoOff

          public void setAttendeeVideoOff(boolean attendeeVideoOff)

    - #### isVoipOff

          public boolean isVoipOff()

    - #### setVoipOff

          public void setVoipOff(boolean voipOff)

    - #### isTelephonyOff

          public boolean isTelephonyOff()

    - #### setTelephonyOff

          public void setTelephonyOff(boolean telephonyOff)

    - #### getMeetingNo

          public long getMeetingNo()

    - #### getOriginalMeetingNo

          public long getOriginalMeetingNo()

    - #### isRecurringMeeting

          public boolean isRecurringMeeting()

    - #### getRepeatType

          public int getRepeatType()

      Get meeting repeat type
      Returns:
        repeat type defined in RepeatType class

    - #### setRepeatType

          public void setRepeatType(int type)

      Set meeting repeat type
      Parameters:
        `type` - Repeat type defined in RepeatType class

    - #### getRepeatEndTime

          public long getRepeatEndTime()

    - #### setRepeatEndTime

          public void setRepeatEndTime(long time)

    - #### getMeetingId

          public java.lang.String getMeetingId()

    - #### isPersonalMeeting

          public boolean isPersonalMeeting()

    - #### isWebinarMeeting

          public boolean isWebinarMeeting()

    - #### getInvitationEmailContentWithTime

          public java.lang.String getInvitationEmailContentWithTime()